Bug 3624 - REGRESSION repro crash: asserction faliure in dom_position.cpp:494 (dev build only)
Summary: REGRESSION repro crash: asserction faliure in dom_position.cpp:494 (dev build...
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 412
Hardware: Mac OS X 10.4
: P1 Normal
Assignee: Maciej Stachowiak
URL: http://www.dhl.com/splash.html
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-20 14:22 PDT by mitz
Modified: 2005-08-16 15:20 PDT (History)
0 users

See Also:


Attachments
testcase (395 bytes, text/html)
2005-06-28 14:59 PDT, mitz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2005-06-20 14:22:19 PDT
When I go to http://www.dhl.com/splash.html, choose Israel from the pop-up menu, and press Go.
ToT crashes immediately with the following message:

/Users/dan/Documents/Development/WebKit/WebCore/khtml/xml/dom_position.cpp:494: failed 
assertion `currentPos == start'
Abort

The crash doesn't happen with WebKit-412.6
Comment 1 mitz 2005-06-22 09:55:29 PDT
Now it's OK again.
Comment 2 mitz 2005-06-28 08:32:15 PDT
(In reply to comment #1)
> Now it's OK again.

Actually it's still broken.
Comment 3 Joost de Valk (AlthA) 2005-06-28 12:10:21 PDT
Can't confirm this one, sorry. Works on ToT.
Comment 4 mitz 2005-06-28 12:39:31 PDT
(In reply to comment #3)
> Can't confirm this one, sorry. Works on ToT.

Works here part of the time, too, but always fails if it's the first site I go to after launching Safari.
Comment 5 Joost de Valk (AlthA) 2005-06-28 12:46:48 PDT
still can't confirm...
Comment 6 mitz 2005-06-28 14:59:15 PDT
Created attachment 2692 [details]
testcase

I can trigger the crash by opening this file in Safari an clicking inside the
yellow rect, somewhere to the left of the red arrow.
Comment 7 mitz 2005-06-29 11:39:18 PDT
OK, a clean build seems to have solved it for real. Sorry.
Comment 8 mitz 2005-07-02 02:34:05 PDT
(In reply to comment #7)
> OK, a clean build seems to have solved it for real. Sorry.

Actually, that was a clean *deployment* build (where assert() does nothing?). A clean development build 
still crashes.
Comment 9 Oliver Hunt 2005-07-02 05:37:18 PDT
I can reproduce this on ToT dev build -- may not be reproducible on deployment build as it's an assertion 
failure
Comment 10 Mark Rowe (bdash) 2005-07-02 08:24:46 PDT
I can easily reproduce this with a development build of WebKit by clicking once inside the yellow rectangle 
to the left of the red triangle.  As previous comments note the assertion failure is not triggered with a 
deployment build.
Comment 11 Joost de Valk (AlthA) 2005-07-02 08:37:28 PDT
well my bad, apologies for that one :).
Comment 12 mitz 2005-08-16 14:59:06 PDT
Fixed (by removing asserts) by David Harrison (as fix for <rdar://problem/4119646> <rdar://problem/
4125949>).